curl --request POST \
--url https://api.messaging.phonovation.com/ccaas/1/web-forms/{id}/submissions \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"from": "from.testmail@email.test",
"subject": "Test Subject",
"cc": [
"cc1@email.test",
"cc2@email.test"
],
"content": "Example text file.",
"attachmentIds": [
"dd68c1ec-1997-4e90-add6-b36dfd2b80a3"
]
}
'import requests
url = "https://api.messaging.phonovation.com/ccaas/1/web-forms/{id}/submissions"
payload = {
"from": "from.testmail@email.test",
"subject": "Test Subject",
"cc": ["cc1@email.test", "cc2@email.test"],
"content": "Example text file.",
"attachmentIds": ["dd68c1ec-1997-4e90-add6-b36dfd2b80a3"]
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.messaging.phonovation.com/ccaas/1/web-forms/{id}/submissions");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "<api-key>");
request.AddJsonBody("{\n \"from\": \"from.testmail@email.test\",\n \"subject\": \"Test Subject\",\n \"cc\": [\n \"cc1@email.test\",\n \"cc2@email.test\"\n ],\n \"content\": \"Example text file.\",\n \"attachmentIds\": [\n \"dd68c1ec-1997-4e90-add6-b36dfd2b80a3\"\n ]\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.post("https://api.messaging.phonovation.com/ccaas/1/web-forms/{id}/submissions")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"from\": \"from.testmail@email.test\",\n \"subject\": \"Test Subject\",\n \"cc\": [\n \"cc1@email.test\",\n \"cc2@email.test\"\n ],\n \"content\": \"Example text file.\",\n \"attachmentIds\": [\n \"dd68c1ec-1997-4e90-add6-b36dfd2b80a3\"\n ]\n}")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.messaging.phonovation.com/ccaas/1/web-forms/{id}/submissions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'from' => 'from.testmail@email.test',
'subject' => 'Test Subject',
'cc' => [
'cc1@email.test',
'cc2@email.test'
],
'content' => 'Example text file.',
'attachmentIds' => [
'dd68c1ec-1997-4e90-add6-b36dfd2b80a3'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
from: 'from.testmail@email.test',
subject: 'Test Subject',
cc: ['cc1@email.test', 'cc2@email.test'],
content: 'Example text file.',
attachmentIds: ['dd68c1ec-1997-4e90-add6-b36dfd2b80a3']
})
};
fetch('https://api.messaging.phonovation.com/ccaas/1/web-forms/{id}/submissions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"conversationId": "b468c1ec-1997-4e90-add6-b36dfd2b80a3"
}{
"requestError": {
"serviceException": {
"messageId": "BAD_REQUEST",
"text": "Invalid request body."
}
}
}{
"requestError": {
"serviceException": {
"messageId": "UNAUTHORIZED",
"text": "Unauthorized"
}
}
}{
"requestError": {
"serviceException": {
"messageId": "FORBIDDEN",
"text": "Forbidden"
}
}
}{
"requestError": {
"serviceException": {
"messageId": "NOT_FOUND",
"text": "Invalid id 'e43bc422-09c9-4591-8b9d-82debcf04e0d' given! No such entity exists."
}
}
}{
"requestError": {
"serviceException": {
"messageId": "GENERAL_ERROR",
"text": "Something went wrong. Please contact support."
}
}
}Submit web form data
Use this method to submit a new set of data of the given web form. This will create a new conversation with the channel specified in the web form.
Required scope: Enable one of: conversations:manage.
curl --request POST \
--url https://api.messaging.phonovation.com/ccaas/1/web-forms/{id}/submissions \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"from": "from.testmail@email.test",
"subject": "Test Subject",
"cc": [
"cc1@email.test",
"cc2@email.test"
],
"content": "Example text file.",
"attachmentIds": [
"dd68c1ec-1997-4e90-add6-b36dfd2b80a3"
]
}
'import requests
url = "https://api.messaging.phonovation.com/ccaas/1/web-forms/{id}/submissions"
payload = {
"from": "from.testmail@email.test",
"subject": "Test Subject",
"cc": ["cc1@email.test", "cc2@email.test"],
"content": "Example text file.",
"attachmentIds": ["dd68c1ec-1997-4e90-add6-b36dfd2b80a3"]
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.messaging.phonovation.com/ccaas/1/web-forms/{id}/submissions");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "<api-key>");
request.AddJsonBody("{\n \"from\": \"from.testmail@email.test\",\n \"subject\": \"Test Subject\",\n \"cc\": [\n \"cc1@email.test\",\n \"cc2@email.test\"\n ],\n \"content\": \"Example text file.\",\n \"attachmentIds\": [\n \"dd68c1ec-1997-4e90-add6-b36dfd2b80a3\"\n ]\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.post("https://api.messaging.phonovation.com/ccaas/1/web-forms/{id}/submissions")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"from\": \"from.testmail@email.test\",\n \"subject\": \"Test Subject\",\n \"cc\": [\n \"cc1@email.test\",\n \"cc2@email.test\"\n ],\n \"content\": \"Example text file.\",\n \"attachmentIds\": [\n \"dd68c1ec-1997-4e90-add6-b36dfd2b80a3\"\n ]\n}")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.messaging.phonovation.com/ccaas/1/web-forms/{id}/submissions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'from' => 'from.testmail@email.test',
'subject' => 'Test Subject',
'cc' => [
'cc1@email.test',
'cc2@email.test'
],
'content' => 'Example text file.',
'attachmentIds' => [
'dd68c1ec-1997-4e90-add6-b36dfd2b80a3'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
from: 'from.testmail@email.test',
subject: 'Test Subject',
cc: ['cc1@email.test', 'cc2@email.test'],
content: 'Example text file.',
attachmentIds: ['dd68c1ec-1997-4e90-add6-b36dfd2b80a3']
})
};
fetch('https://api.messaging.phonovation.com/ccaas/1/web-forms/{id}/submissions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"conversationId": "b468c1ec-1997-4e90-add6-b36dfd2b80a3"
}{
"requestError": {
"serviceException": {
"messageId": "BAD_REQUEST",
"text": "Invalid request body."
}
}
}{
"requestError": {
"serviceException": {
"messageId": "UNAUTHORIZED",
"text": "Unauthorized"
}
}
}{
"requestError": {
"serviceException": {
"messageId": "FORBIDDEN",
"text": "Forbidden"
}
}
}{
"requestError": {
"serviceException": {
"messageId": "NOT_FOUND",
"text": "Invalid id 'e43bc422-09c9-4591-8b9d-82debcf04e0d' given! No such entity exists."
}
}
}{
"requestError": {
"serviceException": {
"messageId": "GENERAL_ERROR",
"text": "Something went wrong. Please contact support."
}
}
}Authorizations
This is the most secure authorization type and the one with the most flexibility.
API keys can be generated by calling the dedicated API method. Furthermore, API keys can have a limited scope and cover only some API methods. Lastly, they can be revoked at any time. This range of possibilities makes API keys well suited for separating the API access rights across multiple applications or use cases. Finally, the loss of an API key is easily manageable.
You can manage your API keys from GUI, or programmatically with dedicated API.
API key Authorization header example:
Authorization: App 003026bbc133714df1834b8638bb496e-8f4b3d9a-e931-478d-a994-28a725159ab9